Bug 498526 - gnome-power-manager can't start in fluxbox
gnome-power-manager can't start in fluxbox
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-30 16:58 EDT by Anna Wiggins
Modified: 2013-03-03 18:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-23 15:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sosreport from machine (440.46 KB, application/x-bzip)
2009-04-30 16:58 EDT, Anna Wiggins
no flags Details

  None (edit)
Description Anna Wiggins 2009-04-30 16:58:47 EDT
Created attachment 342001 [details]
sosreport from machine

Description of problem:

In F-11 preview, gnome-power-manager fails to start.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Install fluxbox
2. Attempt to launch gnome-power-manager

Actual results:

application exits immediately with the message:

** (gnome-power-manager:6172): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed
Segmentation Fault

dbus is, of course, running, and other dbus-sensitive applications (nm-applet) run correctly.

Expected results:

Program works successfully, as in fedora 10.

Additional Info:

Seeing this behavior on Intel Atom N270 (Eee PC 1000HE).

Same problem has been reported in another distro, against the same version of gnome-power-manager: http://bugs.archlinux.org/task/14459

Here is the output of gnome-power-bugreport.sh:

Distro version:       Fedora release 10.92 (Rawhide)
Kernel version:
g-p-m version:        2.26.1
HAL version:          0.5.12
System manufacturer:  missing
System version:       missing
System product:       missing
AC adapter present:   yes
Battery present:      yes
Laptop panel present: yes
CPU scaling present:  yes
Battery Information:
  battery.charge_level.current = 10356  (0x2874)  (int)
  battery.charge_level.design = 50666  (0xc5ea)  (int)
  battery.charge_level.last_full = 49665  (0xc201)  (int)
  battery.charge_level.percentage = 20  (0x14)  (int)
  battery.charge_level.rate = 18857  (0x49a9)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = '1000HE'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = true  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.remaining_time = 7504  (0x1d50)  (int)
  battery.reporting.current = 1345  (0x541)  (int)
  battery.reporting.design = 6580  (0x19b4)  (int)
  battery.reporting.last_full = 6450  (0x1932)  (int)
  battery.reporting.rate = 2449  (0x991)  (int)
  battery.reporting.technology = 'Li-ion'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.serial = ''  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'ASUS'  (string)
  battery.voltage.current = 7700  (0x1e14)  (int)
  battery.voltage.design = 8400  (0x20d0)  (int)
  battery.voltage.unit = 'mV'  (string)
GNOME Power Manager Process Information:
HAL Process Information:
68        1414  0.3  0.4   7044  4704 ?        Ss   16:48   0:02 hald
root      1418  0.0  0.1   3444  1096 ?        S    16:48   0:00  \_ hald-runner
root      1508  0.0  0.1   3512  1032 ?        S    16:48   0:00      \_ hald-addon-input: Listening on /dev/input/event8 /dev/input/event10 /dev/input/event2 /dev/input/event3 /dev/input/event6 /dev/input/event0 /dev/input/event1 /dev/input/event5
root      1509  0.0  0.1   3512  1080 ?        S    16:48   0:00      \_ /usr/libexec/hald-addon-rfkill-killswitch
root      1525  0.0  0.0   3508   980 ?        S    16:48   0:00      \_ /usr/libexec/hald-addon-generic-backlight
root      1541  0.0  0.0   3524  1012 ?        S    16:48   0:00      \_ /usr/libexec/hald-addon-cpufreq
68        1542  0.0  0.0   3176   956 ?        S    16:48   0:00      \_ hald-addon-acpi: listening on acpid socket /var/run/acpid.socket

And here is a backtrace from the Segmentation Fault:

Program received signal SIGSEGV, Segmentation fault.
0x08065ac3 in gpm_session_register_client (session=0x8099cc8, 
    app_id=0x8075c88 "gnome-power-manager", client_startup_id=0x0)
    at gpm-session.c:266
266                     egg_warning ("failed to register client '%s': %s", client_startup_id, error->message);

(gdb) bt
#0  0x08065ac3 in gpm_session_register_client (session=0x8099cc8, 
    app_id=0x8075c88 "gnome-power-manager", client_startup_id=0x0)
    at gpm-session.c:266
#1  0x0805d3cb in main (argc=1, argv=0xbffff454) at gpm-main.c:244
Comment 1 Anna Wiggins 2009-05-01 14:55:26 EDT
I pulled several versions of gnome-power-manager from Koji, and determined that the problem was introduced in gnome-power-manager-2.26.1-1.  gnome-power-manager works with fluxbox in version 2.26.0-2.  Here's the changelog entry for the breaking release, for reference:

* Tue Apr 21 2009 Richard Hughes  <rhughes@redhat.com> - 2.26.1-1
- Update to 2.26.1
- Fix the low capacity warning to fix rh#489832
- Backport DPMS and IDLETIME fixes from master to fix multiple bugs
- Connect to gnome-session and exit on logout
- Remove upstreamed patches

I suspect it is the attempt to connect to gnome-session that is causing the problems, since gnome-session isn't running.
Comment 2 Christian Herzog 2009-05-03 02:08:25 EDT
hey y'all,

I can confirm the problem on a Samsung NC10 with E17. Trying to run gnome-power-manager in trayer produces above error message.

Comment 3 Gireesh Sreekantan 2009-05-29 11:53:23 EDT
I can reproduce this on openbox as well. Starting gnome-power-manager presents the same error as in the report. Gnome power manager is available on gdm login screen and works fine within a gnome-session.
Comment 4 Richard Hughes 2009-06-03 03:58:48 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 5 Christian Herzog 2009-06-03 13:53:51 EDT
(In reply to comment #4)
> Can you try installing
> https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740. If it fixes
> things, please report that as positive karma for the update. Thanks.  

it does work indeed! thanks a lot.
Comment 6 Gireesh Sreekantan 2009-06-07 08:45:29 EDT
works fine with openbox also :-)
Comment 7 Bug Zapper 2009-06-09 10:54:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 8 John Roman 2009-06-09 21:45:33 EDT
still seeing problems with gnome-power-mannager and fluxbox

2.26.1-3.fc11 for the power-manager version, and fluxbox 1.1.1.

a sudo attempt to start the app reTI:21:45:08     TH:0x8cf6560    FI:gpm-main.c   FN:main,230
 - This program cannot start until you start the dbus session service.

This is usually started automatically in X or gnome startup when you start a new session.
        gnome-power-manager [0x804da4b]
        gnome-power-manager [0x805d708]
        /lib/libc.so.6(__libc_start_main+0xe6) [0x6581a66]
        gnome-power-manager [0x804d331]
ports dbus hasnt been started.
Comment 9 Topher 2009-06-12 03:43:49 EDT
I just upgraded to gnome-power-manager-2.26.2-1.fc11.i586 with the rpm found here[1], and now I can use the gnome-power-manager in fluxbox without any problems.

Thanks for all your work!

[1] - http://koji.fedoraproject.org/koji/buildinfo?buildID=104296
Comment 10 Anna Wiggins 2009-06-23 15:34:18 EDT
Another confirmation that this fix works.  Closing bug, since I opened it and it seems to work for everyone with the new package.

Note You need to log in before you can comment on or make changes to this bug.